# AccountObjectsResponse | xrpl
Documentation for xrpl

# Interface AccountObjectsResponse

Response expected from an AccountObjectsRequest.

#### Hierarchy

- BaseResponse
  - AccountObjectsResponse

- Defined in packages/xrpl/src/models/methods/accountObjects.ts:59

#####
Index

### Properties

api_version?
forwarded?
id
result
status?
type
warning?
warnings?

## Properties

### `Optional` api_version

api_version?: number

Inherited from BaseResponse.api_version

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:40

### `Optional` forwarded

forwarded?: boolean

Inherited from BaseResponse.forwarded

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:39

### id

id: string | number

Inherited from BaseResponse.id

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:33

### result

result: {
account: string;
account_objects: AccountObject [];
ledger_current_index?: number;
ledger_hash?: string;
ledger_index?: number;
limit?: number;
marker?: string;
validated?: boolean;
}

#### Type declaration

- ##### account: string

  Unique Address of the account this request corresponds to.

- ##### account_objects: AccountObject []

  Array of objects owned by this account. Each object is in its raw ledger format.

- ##### `Optional` ledger_current_index?: number

  The ledger index of the current in-progress ledger version, which was used to generate this response.

- ##### `Optional` ledger_hash?: string

  The identifying hash of the ledger that was used to generate this response.

- ##### `Optional` ledger_index?: number

  The ledger index of the ledger version that was used to generate this response.

- ##### `Optional` limit?: number

  The limit that was used in this request, if any.

- ##### `Optional` marker?: string

  Server-defined value indicating the response is paginated. Pass this to the next call to resume where this call left off. Omitted when there are no additional pages after this one.

- ##### `Optional` validated?: boolean

  If included and set to true, the information in this response comes from a validated ledger version. Otherwise, the information is subject to change.

Overrides BaseResponse.result

- Defined in packages/xrpl/src/models/methods/accountObjects.ts:60

### `Optional` status

status?: string

Inherited from BaseResponse.status

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:34

### type

type: string

Inherited from BaseResponse.type

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:35

### `Optional` warning

warning?: "load"

Inherited from BaseResponse.warning

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:37

### `Optional` warnings

warnings?: ResponseWarning []

Inherited from BaseResponse.warnings

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:38

Generated using TypeDoc